 arch/i386/kernel/efi.c |   14 +++++++++-----
 1 files changed, 9 insertions(+), 5 deletions(-)

diff -puN arch/i386/kernel/efi.c~ia32-efi-support-tidy arch/i386/kernel/efi.c
--- 25/arch/i386/kernel/efi.c~ia32-efi-support-tidy	2003-10-03 22:52:03.000000000 -0700
+++ 25-akpm/arch/i386/kernel/efi.c	2003-10-03 22:54:08.000000000 -0700
@@ -443,12 +443,17 @@ void __init efi_enter_virtual_mode(void)
 			md->virt_addr =
 				(unsigned long)ioremap(md->phys_addr,
 					md->num_pages << EFI_PAGE_SHIFT);
-			if (!(unsigned long) md->virt_addr) {
-				printk(KERN_ERR PFX "ioremap of md: 0x%lX failed \n",
-					(unsigned long) md->phys_addr);
+			if (!(unsigned long)md->virt_addr) {
+				printk(KERN_ERR PFX "ioremap of 0x%lX failed\n",
+					(unsigned long)md->phys_addr);
 			}
 
-			if (((unsigned long)md->phys_addr <= (unsigned long)efi_phys.systab) && ((unsigned long)efi_phys.systab < md->phys_addr + ((unsigned long) md->num_pages << EFI_PAGE_SHIFT))) {
+			if (((unsigned long)md->phys_addr <=
+					(unsigned long)efi_phys.systab) &&
+				((unsigned long)efi_phys.systab <
+					md->phys_addr +
+					((unsigned long)md->num_pages <<
+						EFI_PAGE_SHIFT))) {
 				unsigned long addr;
 
 				addr = md->virt_addr - md->phys_addr +
@@ -604,4 +609,3 @@ u64 efi_mem_attributes(unsigned long phy
 	}
 	return 0;
 }
-

_
